lomiri (0.5.0-6build2) resolute; urgency=medium

  * No-change rebuild against Qt 5.15.18 on amd64v3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 17 Jan 2026 22:34:12 +0300

lomiri (0.5.0-6build1) resolute; urgency=medium

  * No-change rebuild against Qt 5.15.18.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 12 Jan 2026 16:35:43 +0300

lomiri (0.5.0-6) unstable; urgency=medium

  * debian/patches:
    + Add 0035_DisplayConfigurationStorage-drop-use-of-edid-descriptors.patch.
      Drop use of edid descriptors in DisplayConfigurationStorage.cpp. Make
      way for bumping Mir from 2.20.x to Mir 2.22.x.
    + Add patches 0041 - 0046. Add support for watching icon directories and
      update icons in icon cache and in launcher if changes occur.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 28 Aug 2025 10:28:47 +0200

lomiri (0.5.0-5) unstable; urgency=medium

  * Revert "debian/patches: update patches 0033 and 0034 after upstream MR has
    been updated"
  * Revert "debian/patches: Add 0033_remove-dangling-window-decorations-from-
    model.patch. qml & plugins: Remove dangling window decorations from model.
    Latch onto MirSurface signal indicating it's not being displayed anymore,
    and remove the window from the TopLevelWindowModel when required."
  * debian/patches:
    + Rename 1001_use-com-lomiri-Shell-pictureUri.patch to 1001a_use-com-lomiri-
      Shell-pictureUri.patch.
    + Add 1001b_qml-Shell.qml-Dynamically-switch-gsettings-context-f.patch. Fix
      dynamically switching background images if they differ between
      com.lomiri.Shell and com.lomiri.Shell.Greeter. Relevant when Debian Edu
      Artwork is in use.
    + Trivially rebase 0032_dont-ask-for-SIM-PIN-in-greeter.patch.
    + Add 0033_fix-multi-process-app-having-phantom-window.patch. Fix multi-
      process app having phantom window. (Can cause session crashes when trying
      to close those windows).
  * debian/control:
    + Update versioned D:s on qtmir (and co.) to 0.8.0~git20250407.ea2f477-3~.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 11 Aug 2025 18:10:35 +0200

lomiri (0.5.0-4) unstable; urgency=medium

  * debian/patches:
    + Add 0031_faster-session-exit.patch. Exit out of the process with the
      respective exit code.
    + Add 0032_dont-ask-for-SIM-PIN-in-greeter.patch. Don't ask for SIM PIN in
      login manager.
    + Add 0033_remove-dangling-window-decorations-from-model.patch. qml &
      plugins: Remove dangling window decorations from model. Latch onto
      MirSurface signal indicating it's not being displayed anymore, and
      remove the window from the TopLevelWindowModel when required.
    + Add 0034_spawn-apps-in-fullscreen-when-in-phone+tablet-mode.patch. Add
      apps in fullscreen mode when Lomiri operates in tablet/phone mode. Fixes
      non-maximized window content, but maximized window decorations for
      GTK-3+4 applications when Lomiri is in staged mode.
  * debian/control:
    + Update versioned D:s on qtmir & co.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 30 Jul 2025 14:42:25 +0200

lomiri (0.5.0-3) unstable; urgency=medium

  * debian/control:
    + Add to R: (lomiri): lomiri-indicator-location.
  * debian/patches:
    + Add 1007_fix-scrolling-issues.patch. Fix scrolling issue. In desktop/
      windowed mode make sure that scroll events get translated to Lomiri
      coordinates, so that content directly under the mouse pointer is scrolled
      and not something else elsewhere on the screen.
    + Add 1018a_Add-shortcut-to-toggle-side-stage.patch and 1018b_Add-shortcut-
      for-moving-apps-between-stages.patch. Support moving apps between main
      stage and side stage via hotkeys.
    + Add 1019_WorkspacePreview-reduce-lag-when-app-enters-exit-ful.patch. Make
      fullscreen switching more smooth.
    + Add patches 1021 - 1028. Various Lomiri-on-desktop improvements esp. for
      managing non-Lomiri windows (such as windows drawn via GTK, Xwayland,
      etc.).
    + Whitespace-fix in 1005_cursor-always-follow-cursor-position-from-mir.patch
      and 1007_fix-scrolling-issues.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 24 Jul 2025 11:56:04 +0200

lomiri (0.5.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 1005_cursor-always-follow-cursor-position-from-mir.patch. Keep cursor
      in sync with Mir if running in a VM.
    + Update/extend 1005_cursor-always-follow-cursor-position-from-mir.patch.
      Set LOMIRI_RUNNING_IN_VM=1 in lomiri-greeter-wrapper script.
    + Add 0030_lomiri-upstream-home-logo.patch. Use upstream Lomiri home
      logo by default. Drop upstream's code that tries to too wisely to show
      the distributor's logo. This we will handle in our debian-lomiri-default-
      settings package.
  * debian/control:
    + Bump versioned D: on lomiri-schemas; lomiri 0.5.0 requires lomiri-schemas
      0.1.8.
  * debian/:
    + Add 91-lomiri-enable-user-list.conf to /etc/lightdm/lightdm.conf.d/.
      Enable user list, disable free-hand login prompt.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Jun 2025 00:42:03 +0200

lomiri (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Move various lomiri-greeter-wrapper changes into one patch file
      (2014_lomiri-greeter-wrapper-on-wayland.patch).
    + Drop 1018_plugins-Cursor-fix-jumpy-windows-during-edge-snap.patch.
      Not sanctioned upstream.
    + Rebase 2012_no-app-suspension-on-Debian+Ubuntu-proper.patch and
      2009_disable-qtmir-tests.patch.
    + Add 2015_lomiri-greeter-use-wayland.patch.
  * debian/copyright:
    + Update copyright attributions.
  * debian/rules:
    + Explicitly use either Ubuntu or Lomiri logo and copy it to the
      qml/Launcher/graphics/ folder.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 23:42:11 +0200

lomiri (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop patches 0001, 0002, 0004, 0005, 0007, 0014, 0025 and 1019. All
      applied upstream.
  * debian/copyright:
    + Update to new FSF mailing address.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 17 Apr 2025 22:07:56 +0200

lomiri (0.4.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + (Temporarily) drop patches 0006, 0008, 0009, 0010, 0011. They don't
      apply anymore and rebasing is not trivial. (Upstream author has been
      notified on this).
    + Trivial rebase of patches 0002, 0004, 0005, 0024, 0025, 1001, 1013,
      1016, 2006, 2010, 2012.
    + Drop patches 0013, 0015, 0025, 1005, 1009, 1011, 1014. All applied
      upstream.
    + Temporarily add 1017_dont-load-indicators-for-unregistered-services.patch
      (not accepted upstream, but solving the problem).
    + Add 1018_plugins-Cursor-fix-jumpy-windows-during-edge-snap.patch. Fix
      jumpy windows on edge snap.
    + Add 1019_qml-Color-Drop-labels-in-Workspace-preview-in-white.patch. qml:
      Color Drop labels in Workspace preview in white. Follow the coloring of
      the individual Images representing "Drop here" and "Drop and go" for both
      dark and light mode.
    + Add 0025_fix-lomiri-startup-failures.patch. Fix Lomiri session startup
      failures.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + In R:, replace maliit-keyboard by lomiri-keyboard.
    + Also recommend lomiri-keyboard for lomiri-greeter.
    + Switch from ayatana-indicator-datetime to lomiri-indicator-datetime.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 03 Apr 2025 14:58:34 +0200

lomiri (0.3.0-5) unstable; urgency=medium

  * Rebuild against Mir 2.20.
  * debian/patches:
    + Add 2013_CXX-standard-20.patch. Bump to CXX standard v20.
  * debian/control:
    + Require Mir 2.20 everywhere.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 15 Mar 2025 08:34:41 +0100

lomiri (0.3.0-4) unstable; urgency=medium

  * debian/control:
    + Add D: (lomiri-common): ayatana-greeter-badges.
  * debian/patches:
    + Add 1010(a|b)_use-ayatana-greeter-badges.patch. Use badges from ayatana-
      greeter-badges project.
    + Add 1011_tests-copyright-check_copyright.sh-Ignore-new-lomiri.patch. Fix
      copyright test.
    + Add 0025_Drop-the-deprecated-PolicyKit-.pkla-file.patch. Cherry-picked
      from upstream. (Closes: #1078272, #1078318, #1093068, #1093069).
    + Add 1012_greeter-lomiri-indicators-target.patch. Launch Ayatana
      Indicators belonging to lomiri-indicators.target (not ayatana-
      indicators.target).
    + Add 1013_fix-convergence-on-high-resolution-tablets.patch. Fix
      convergence recognition on high resolution tablets.
    + Add 1014_plugins-Wizard-System.cpp-Restart-lomiri-indicators.patch.
    + Add 1015_greeter-textprompt-ESC-will-disable-OSK-again.patch. Provide
      a possibility to disable the OSK in the greeter again after having
      enabled it.
    + Add 1016_rotate-when-orientation-is-locked.patch. Early preview of Kugi
      Eusebio's 'otate button when orientation is locked' feature.
  * debian/lomiri-greeter.install:
    + Install policykit .rules file instead of the deprecated .pkla file.
  * debian/lomiri-common.install:
    + Install policykit's new .rule file instead of the deprecated .pkla file.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 Jan 2025 17:57:01 +0100

lomiri (0.3.0-3) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control:
    + Add C (lomiri-greeter): unity-greeter. Avoid pulling in old Ubuntu
      Indicators + Unity Greeter on Ubuntu.
    + Add R: (lomiri): ciborium.
  * debian/patches:
    + Add 2012_no-app-suspension-on-Debian+Ubuntu-proper.patch. Don't suspend
      apps in Debian + Ubuntu proper.

  [ Guido Berhoerster ]
  * debian/:
    + Fix nocheck build profile (Closes: #1084810)

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 23 Oct 2024 09:53:54 +0200

lomiri (0.3.0-2) unstable; urgency=medium

  * debian/lomiri-common.install:
    + Don't use dh_install to copy-in Lomiri's launcher logo unconditionally.
  * debian/rules:
    + If building on non-Ubuntu, use the Lomiri logo in the launcher, if
      building on Ubuntu, use the Ubuntu logo (from the upstream code base).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 Aug 2024 11:16:55 +0200

lomiri (0.3.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
     + Drop patches that have been applied upstream.
       - 0016_support-vendor-accountsservice-interface.patch
       - 0021_set-z-index-of-spread-to-current-number-of-apps.patch
       - 0023_fix-build-on-32bit-arches-with-64bit-time-t.patch
       - 1007_fix-overwriting-INCLUDE_DIRECTORIES-variable.patch
       - 1009_fix-default-wallpaper-filename.patch
       - 1012_no-whitespace-checks-in-debian-folder.patch
       - 1013_fix-copyright-tests.patch
       - 1014_fix-test-AccountsService-interfaces-xml.patch
       - 1015_Meego-Ofono.patch
       - 1021-data-systemd-user-lomiri-MODE.service.in-Drop-indica.patch
       - 1022-data-systemd-user-CMakeLists.txt-lomiri-indicators.t.patch
       - 1023-data-systemd-user-lomiri-MODE.service.in-Use-lomiri-.patch
       - 1035-plugins-LightDM-fix-memory-corruption-after-resettin.patch
       - 1036-tst_DesktopStage-asynchronously-test-for-menu-positi.patch
       - 1037-tst_MenuBar-workaround-test-flakiness-by-giving-a-tr.patch
       - 1038-tst_MenuPopup-improve-reliability-of-the-test.patch
       - 2002_no-whitespace-checks-in-debian-subfolder.patch
    + Rebase all remaining patches.
    + Add 2010_use-desktop-qtmir.patch. Use Mir 2.x.
  * debian/rules:
    + Adjust dh_auto_test override, don't create test home if nocheck is set
      via DEB_BUILD_OPTIONS.
  * debian/control:
    + Mark various B-Ds as requirements for running unit tests.
    + Add B-D: lomiri-wallpapers (required for unit tests).
    + Bump Standards-Version to 4.7.0. No changes needed.
    + Bump versioned D on lomiri-system-settings to (>= 1.2.0-1~).
    + Bump versioned D on lomiri-schemas to (>= 0.1.5-1~).
  * debian/copyright:
    + Update copyright attributions.

  [ Guido Berhoerster ]
  * debian/patches:
    + Add 1009-Fix-compatibility-with-LightDM-1.32.patch

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 13 Aug 2024 12:23:17 +0200

lomiri (0.2.1-12) unstable; urgency=medium

  * debian/patches:
    + Add 102* patch series, introducing the lomiri-indicators.target for
      systemd.
    + Add 103* patch series, cherry-picked from upstream. Providing various
      test fixes and a memleak fix.
    + Tremendously reduce 2008_skip-failing-tests.patch, now only one sub-
      directory skipped during unit tests.
  * debian/lomiri.install:
     + Install lomiri-indicators.target into lomiri bin:pkg.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 12:13:32 +0200

lomiri (0.2.1-11) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Add additional B-Ds required for unit tests.
    + Bump versioned D on lomiri-system-settings to (>= 1.1.0-3~). This
      version is the first version supporting the non-Ubuntu AccountsService
      settings for the shell's background image.
  * debian/rules:
    + Provide test home in test bed.
    + Set DISPLAYED_DISTRO_NAME build options to enable Lomiri wizard on
      initial session login.
    + Make tests fail the build on architectures we have not tagged as flaky.
      (Let's see...).
  * debian/patches:
    + Add 2011_skip-language-keymap-tests.patch. Skip unit test requiring
      Ubuntu-specific AccountsService.
    + Add 1012_no-whitespace-checks-in-debian-folder.patch. Don't run whitespace
      checks in non-upstream folders (i.e. debian/).
    + Add 1013_fix-copyright-tests.patch. Add missing copyright headers, fix
      check_copyright.sh.
    + Add 2007_fix-testWindowStateStorage.patch. Adjust HOME env var for
      building lomiri as a Debian package.
    + Add 2008_skip-failing-tests.patch. Skip failing unit tests.
    + Add 2009_disable-qtmir-tests.patch. Disable qtmir-based unit tests. They
      currently fail with Mir 2.x.
    + Add 0016_support-vendor-accountsservice-interface.patch. Support non-
      Ubuntu AccountsService for configuring the shell's background image.
    + Add 1014_fix-test-AccountsService-interfaces-xml.patch. Fix annotation in
      tests/plugins/AccountsService/interfaces.xml.
    + Add 1015_Meego-Ofono.patch. Adjust to libqofono namespace change since
      libqofono 0.117.
    + Rename disable-broken-test-mir2.patch to 2001_disable-broken-test-
      mir2.patch.
  * debian/lomiri-tests.lintian-overrides:
    + Comment-out temporarily unused overrides.
  * debian/lomiri-common.lintian-overrides:
    + Drop file. The appstream-metadata-missing-modalias-provide override is
      not triggered anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 22 Apr 2024 09:39:47 +0200

lomiri (0.2.1-10) unstable; urgency=medium

  * debian/patches:
    + Add 0015_qml-Stage-Adopt-use-of-transform-for-scaling-the-
      MirSurfaceItem.patch. qml/Stage: Adopt use of transform for scaling
      the MirSurfaceItem.
    + Add 2006_use-Noto-Sans-Font.patch. Use Noto Sans instead of Ubuntu
      font in indicator tray.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 25 Mar 2024 11:19:05 +0100

lomiri (0.2.1-9) unstable; urgency=medium

  * debian/control:
    + Add to R: (lomiri): lomiri-polkit-agent.
    + Assure that lomiri-greeter also removes arctica-greeter-guest-session and
      arctica-greeter-remote-logon if it gets installed.
    + Assure lomiri-schemas >= 0.1.4-2~ in D: and B-D:.
  * debian/patches:
    + Add 1001_use-com-lomiri-Shell-pictureUri.patch. Use new
      com.lomiri.Shell(.Greeter) gsetting 'background-picture-uri' for override
      hard-coded background image.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 09 Mar 2024 16:17:41 +0100

lomiri (0.2.1-8) unstable; urgency=medium

  * debian/patches:
    + Add 1009_fix-default-wallpaper-filename.patch. Use generic wallpaper name
      as default wallpaper.
    + Renumber 0003_qml-Panel-PanelMenuPage.qml-Drop-work-around-for-QTB.patch
      (-> 0013).
    + Renumber 0004_hide-surface-less-app-icons-in-launcher.patch (-> 0014).
    + Cherry-pick patch 0004-0011 from lomiri upstream MR-133 (desktop-mode
      improvements).
    + Add 0021_set-z-index-of-spread-to-current-number-of-apps.patch. Set
      z-index of Spread to current number of apps. Fixes when one opens a lot
      of apps (10+), the apps on the right end of the App Spread won't be
      flickable anymore.
    + Add 0022_enable-stopping-the-flick-with-just-a-press.patch. Enable
      stopping the flick with just a press.
    + Add 0023_fix-build-on-32bit-arches-with-64bit-time-t.patch. Fix build
      on 32bit arches with 64bit time_t.
    + Add 0024_only-load-prompty-if-cover-page-is-not-shown.patch. Reset the
      password field so that passwords previously entered (but not used) before
      lock screen kicks once more gets removed and is not usable anymore by a
      potential attacker.
  * debian/control:
    + Drop from B-D: gdb.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 08 Mar 2024 10:49:31 +0100

lomiri (0.2.1-7) unstable; urgency=medium

  * debian/patches:
    + Add 0004_hide-surface-less-app-icons-in-launcher.patch. Hide icons from
      launcher if they don't show anything on screen (such as Xwayland, xdg-
      portal, etc.).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 27 Feb 2024 23:08:45 +0100

lomiri (0.2.1-6) unstable; urgency=medium

  * debian/patches:
    + Add 0003_qml-Panel-PanelMenuPage.qml-Drop-work-around-for-QTB.patch.
      Reduce massive syslog spamming.
    + Typo fix in patch header of 1005_cursor-always-follow-cursor-position
      from-mir.patch.
  * debian/:
    + Add 90-default-session-lomiri.conf and install into lomiri-greeter
      bin:pkg to override lightdm-xsession as default login session.
  * debian/control:
    + Switch from pkg-config to pkgconf. Thanks, lintian.
  * debian/copyright:
    + Update copyright attribution for debian/.
  * debian/liblomiri-private0.lintian-overrides:
    + Add link-to-shared-library-in-wrong-package override.
  * debian/lomiri-common.lintian-overrides:
    + Update path in appstream-metadata-missing-modalias-provide override.
  * debian/lomiri.lintian-overrides:
    + Drop no-manual-page overrides for executables in /usr/libexec/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Feb 2024 16:11:50 +0100

lomiri (0.2.1-5) unstable; urgency=medium

  [ Alfred Neumayer ]
  * debian/patches:
    + Add 0001_displayconfigurationstorage-fix-typo.patch.
      DisplayConfigurationStorage: Fix typo.
    + Add 0002_qml-shell-hide-and-disallow-launcher-in-greeter-only-mode.patch.
      qml/Shell: Hide and disallow Launcher in Greeter-only mode.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 24 Feb 2024 16:52:08 +0100

lomiri (0.2.1-4) unstable; urgency=medium

  * debian/patches:
    + Add 1008_lomiri-greeter-wayland.patch. Enable lomiri-greeter on LightDM
      as wayland compositor driven greeter.
  * debian/control:
    + Let lomiri-greeter conflict with arctica-greeter. These two don't install
      well together.
    + Add to R: (lomiri): lomiri-greeter.
    + Promote to D: (lomiri-greeter): lightdm. Drop comment on lomiri-system-
      compositor.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Feb 2024 16:16:11 +0100

lomiri (0.2.1-3) unstable; urgency=medium

  * debian/lomiri.install:
    + Drop /usr/lib/systemd/user/*. Files get removed in d/rules. Regression fix
      for previous upload.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Feb 2024 21:43:47 +0100

lomiri (0.2.1-2) unstable; urgency=medium

  * debian/control:
    + Switch from systemd to systemd-dev in B-D. (Closes: #1060513).
  * debian/patches:
    + Add 2003_maliit-not-maliitphablet-as-im-module-namespace.patch. In Debian,
      maliit installs its modules under the maliit namespace (not maliitphablet).
    + Add 2004_qt-qpa-platform-is-wayland.patch: QT_QPA_PLATFORM should be
      wayland on recent Mir 2.x.
    + Add 2005_dont-reset-alwaysShowOsk-to-system-defaults-on-login.patch. Allow
      user-modified gsetting of com.lomiri.Shell/always-show-osk to survive session
      logout/login. Thanks to Guido Berhörster for discovering this.
  * debian/rules:
    + Don't ship Lomiri's default systemd units, in Debian we use the
      lomiri.service provided by src:pkg lomiri-session.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 19 Feb 2024 16:11:15 +0100

lomiri (0.2.1-1) unstable; urgency=medium

  [ Marius Gripsgard ]
  * New upstream release.
  * debian/control: Bump required lomiri-schemas version to match new release
  * debian/patches: Add patch to fix FTBFS with never cmake (closes: #1059017)
  * debian/patches: Drop upstreamed patch
  * debian/liblomiri-private0.install: Add new plugins from new release
  * debian/copyright: Update copyright to match new release

 -- Marius Gripsgard <mariogrip@debian.org>  Thu, 01 Feb 2024 22:23:53 +0100

lomiri (0.1.3-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Fix typo in url
  * debian/control: Use my new debian email

 -- Marius Gripsgard <mariogrip@debian.org>  Fri, 28 Jul 2023 02:38:29 +0200

lomiri (0.1.2-4) unstable; urgency=medium

  [ Marius Gripsgard ]
  * debian/*.lintian-overrides:
    + Add override for missing man pages (no need on wrappers).
  * debian/control:
    + Remove redundant recommends (we depend on it alredy).
    + Depend on libgl-dev package only.
  * debian/liblomiri-private.lintian-overrides:
    + Add lintian override for missing symbols file.

  [ Mike Gabriel ]
  * debian/patches:
    + Add 1005_cursor-always-follow-cursor-position-from-mir.patch. Keep cursor
      in Mir and in e.g. Qemu in sync.
  * debian/watch:
    + Adjust watch URL.

  [ Vagrant Cascadian ]
  * debian/rules:
    + Add dh_installdocs override to remove results.txt. (Closes: #1034200).
  * debian/patches: Add 1006_avoid-embedding-a-randomized-HOME-value.patch.
    + tests/plugins/Utils/CMakeLists.txt: Avoid embedding a randomized HOME
      value. (Closes: #1034199).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 11 Jun 2023 13:36:37 +0200

lomiri (0.1.2-3) unstable; urgency=medium

  * debian/{home.svg,lomiri-common.install}:
    + Lomiri shows the Ubuntu logo in its launcher. For a non-Ubuntu
      distribution this is inappropriate. As Lomiri has its own logo,
      ship and use that one instead.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Mar 2023 08:07:12 +0100

lomiri (0.1.2-2) unstable; urgency=medium

  * debian/control:
    + Add to R (lomiri): lomiri-system-settings (this avoids MATE components
      being pulled in via Ayatana Indicators packages.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Feb 2023 19:41:40 +0100

lomiri (0.1.2-1) unstable; urgency=medium

  * New upstream release.
    - systemd-user: start lal-application-end.target on stop/restart.
    - Wizard: Fix AyatanaMenuModel attributes for Wi-Fi networks.
    - Refresh Drawer desktop files when the locale changes.
    - IndicatorMenuItemFactory: use activate() for toggle switch (again).
    - Allow one to set more than 4 digits pincode.
    - Restore restarts of session services after wizard locale change.
    - Translation updates.
    - Ship & enable Xwayland wrapper.
    - plugins: TopLevelWindowModel: Explicitly cause XWayland surfaces to die
      gracefully.
    - Trim time string to remove leading space.
  * debian/patches:
    + Drop 0001-Add-support-for-both-older-qtmir-and-newer-qtmir-wit.patch.
      Applied upstream.
  * debian/control:
    + Assure presence of lomiri-schemas (>= 0.1.3) in B-D and D (various
      bin:pkgs).
    + Require lomiri-app-launch (>= 0.1.5) in B-D and D.
    + Bump versioned B-D on libqtmirserver-dev to
      (>= 0.8.0~git20230223.bd21224-3~). This pkg revisions ships an important
      adjust of the dev:pkg's .pc file.
  * debian/lomiri.install:
    + Add Xwayland.lomiri.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 26 Feb 2023 18:32:05 +0100

lomiri (0.1-4) unstable; urgency=medium

  * debian/control:
    + Add to R (lomiri): maliit-keyboard.
    + Move Ayatana Indicators to D:.
    + Ensure installation of one of the Mir platforms.
    + Add to D: lomiri-indicator-network, lomiri-url-dispatcher.
    + Add to R: lomiri-indicator-transfer.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Feb 2023 12:15:19 +0100

lomiri (0.1-3) unstable; urgency=medium

  * debian/control: Add back telephony as runtime dep

 -- Marius Gripsgard <marius@ubports.com>  Wed, 08 Feb 2023 03:54:13 +0100

lomiri (0.1-2) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian/control: Move lsc to recommends and comment it out for now (Closes:
    #1029292). This issue saw a regression, because upload 0.1-1 was based on
    0.1~git20230111.ba0fc6a-4 instead of 0.1~git20230111.ba0fc6a-5.
  * debian/changelog:
    + Weave-in stanza for lost 0.1~git20230111.ba0fc6a-5.
    + Amend white-space and typos of changelog item in
      0.1~git20230111.ba0fc6a-5.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 07 Feb 2023 22:33:43 +0100

lomiri (0.1-1) unstable; urgency=medium

  * Initial upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/copyright:
    + Update copyright attributions for debian/.
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
    + Bump versioned B-D of liblomiri-api-dev to (>= 0.2.0) (which implements
      lomiri-application-shell level 28 required by this version of Lomiri.
      (Closes: #1030439).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 22:01:03 +0100

lomiri (0.1~git20230111.ba0fc6a-5) unstable; urgency=medium

  * debian/control: Move lsc to recommends and comment it out for
    now. (Closes: #1029292).

 -- Marius Gripsgard <marius@ubports.com>  Sun, 22 Jan 2023 07:24:24 +0000

lomiri (0.1~git20230111.ba0fc6a-4) unstable; urgency=medium

  * Upload as is to unstable.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jan 2023 13:25:30 +0100

lomiri (0.1~git20230111.ba0fc6a-3) experimental; urgency=medium

  * debian/rules:
    + Only adjust permissions in lomiri-tests bin:pkg if it gets built. This
      resolves currently failing arch:all builds on buildd.debian.org.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 12 Jan 2023 23:51:56 +0100

lomiri (0.1~git20230111.ba0fc6a-2) experimental; urgency=medium

  * debian/lomiri-tests: Disable nonmirplugins as this does not
    work with mir2 yet

 -- Marius Gripsgard <marius@ubports.com>  Thu, 12 Jan 2023 14:43:33 +0100

lomiri (0.1~git20230111.ba0fc6a-1) experimental; urgency=medium

  * New Git snapshot (0.1~git20230111.ba0fc6a)
  * debian/patches: Drop upstreamed patches
    + 0001_copyright-headers-Use-uniform-spelling-of-Canonical-.patch
    + 1001_tests-in-libexecdir.patch
    + 1002_build-doc-in-html-subdir.patch
  * debian/control: Add B-D on miroil-dev and miral-dev
  * debian/patches: Add patches to support mir v2.x
    + 0001-Add-support-for-both-older-qtmir-and-newer-qtmir-wit.patch
    + disable-broken-test-mir2.patch
  * debian/control: Bump qtmirserver-dev required version to 0.8.0~

 -- Marius Gripsgard <marius@ubports.com>  Thu, 12 Jan 2023 01:25:14 +0100

lomiri (0.1~git20221008.596f06c-1) experimental; urgency=medium

  * Initial upload to Debian experimental. (Closes: #1023253).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 05 Nov 2022 20:53:26 +0100
